/* This file stubs out a bunch of functions that are normally found on
   a UNIX machine but which don't apply or aren't implemented for
   DJGPP. */

#include <errno.h>
#include <stdlib.h>
#include <signal.h>
#include <sys/wait.h>

int
pipe(int fildes[2])
{
    errno = EPIPE;
    return -1;
}

void
sync(void)
{
}

int
getgroups(int ngroups, int *gidset)
{
    return 0;
}

int
mknod(const char *p, int i, int j)
{
    return -1;
}

int
mkfifo(char *p, int i)
{
    return -1;
}

int
sigaction(int sig, struct sigaction *act, struct sigaction *oact)
{
    return 0;
}

int
sigemptyset(sigset_t *set)
{
    return 0;
}

int
sigfillset(sigset_t *set)
{
    return 0;
}

int
sigaddset(sigset_t *set, int signo)
{
    return 0;
}

int
sigdelset(sigset_t *set, int signo)
{
    return 0;
}

int
sigismember(sigset_t *set, int signo)
{
    return 0;
}

int
wait(int *p)
{
    return -1;
}

int
execl(const char *path, const char *arg0, ...)
{
    return -1;
}

int
execv(const char *path, const char *argv[])
{
    return -1;
}

int
execle(const char *path, const char *arg0, ...)
{
    return -1;
}

int
execve(const char *path, const char *argv[], char *envp[])
{
    return -1;
}

int
execlp(const char *file, const char *arg0, ...)
{
    return -1;
}

int
execvp(const char *file, const char *argv[])
{
    return -1;
}
